class URCarFactory extends KVehicleFactory;

event Trigger( Actor Other, Pawn EventInstigator )
{
	local KVehicle CreatedVehicle;

	if(EventInstigator.IsA('KVehicle'))
		return;

	if(VehicleCount >= MaxVehicleCount)
	{
		if(EventInstigator != None)
			EventInstigator.ReceiveLocalizedMessage(class'UnrealRacing.URCarMessage', 2);
		return;
	}

	if(VehicleClass != None)
	{
		CreatedVehicle = spawn(VehicleClass, , , Location, Rotation);
		VehicleCount++;
		CreatedVehicle.ParentFactory = self;
	}
}

defaultproperties
{
	VehicleClass=class'UnrealRacing.Porsche'
	MaxVehicleCount=1
}